// uni-app请求封装
export default class Request {
	http(router, data = {}, method,contentType) {
		let that = this;
		// let path = 'http://localhost:8008';
		// let path = 'http://t8756345.natappfree.cc';
		// let path = 'http://uis.ftrur.com/prod-api';
		let path = 'https://bd-1.muyii.top/prod-api';
		// let path = 'https://bd.runtzh.com/prod-api';
		// let path = 'https://www.jrwlcq.com/prod-api';
		uni.setStorageSync('requestPath',path)
		// uni.showLoading({
		// 	title: '載入中'
		// });
		return new Promise((resolve, reject) => {
			let token = uni.getStorageSync('AppToken');
			var httpContentType='application/x-www-form-urlencoded';
			if(contentType!=undefined){
				//application/json;charset=UTF-8
				httpContentType=contentType;
			}
			var routers=router;
			// 请求
			uni.request({
				header: {
					// 'Content-Type': 'application/x-www-form-urlencoded',
					'Content-Type': httpContentType,
				},
				url: `${path}${router}`,
				data: data,
				method: method,
				success: (res) => {
					//收到开发者服务器成功返回的回调函数
					resolve(res.data)
				},
				fail:(res) =>{
					//接口调用失败的回调函数
				},
				complete:(res) =>{
					//接口调用结束的回调函数（调用成功、失败都会执行）
					if (res.data.code == 401) {
						return false
					}
					uni.hideLoading();
				}
				
			})
		})
		 
	}
	
}
